Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Aug 2020 16:53:29 +0200

<[email-masked]> writes:

> The pdmp file always named as "emcas.pdmp", this will cause error in my
> local that I build two Emacs with different configuration options and
> different suffix from same source tree. Here are configure lines:
>
> $ cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no...
> $ cd ~/emacs-nor && ~/emacs/configure # normal build
>
> After installation, run the first installed Emacs binary, there is
> error message as follow:

I'm not sure I understand the use case or the recipe -- if I try
something like that, it just says

gcc: error: fontset.o: No such file or directory
gcc: error: fringe.o: No such file or directory
gcc: error: image.o: No such file or directory
gcc: error: xgselect.o: No such file or directory
gcc: error: terminfo.o: No such file or directory
gcc: error: lastfile.o: No such file or directory
make[1]: *** [Makefile:651: temacs] Error 1
make[1]: Leaving directory '/tmp/em/src'
make: *** [Makefile:424: src] Error 2

after saying "make".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no